{% if pratica.canBeAssigned %}
  <div class="row mb-3">
    {% if  pratica.status == constant('STATUS_REQUEST_INTEGRATION', pratica) %}
      <div class="col alert alert-info">
        {{ 'operatori.protocollazione_richiesta_integrazione' | trans }}
      </div>
    {% elseif  pratica.status == constant('STATUS_SUBMITTED_AFTER_INTEGRATION', pratica) %}
    <div class="col alert alert-info">
      {{ 'operatori.protocollazione_risposta_integrazione' | trans }}
    </div>
    {% elseif  pratica.status == constant('STATUS_DRAFT_FOR_INTEGRATION', pratica) %}
      <div class="col d-flex justify-content-around">
        <button id="cancel-integration" class="btn btn-outline-secondary" type="button"
                data-url="{{ path('application_api_post_transition_cancel_integration', {'id': pratica}) }}">
          <svg class="icon icon-danger">
            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
          </svg>
          {{ 'operatori.annulla_richiesta_integrazione' | trans }}
        </button>

        {% if last_owner_message is null or (last_owner_message is not null and last_owner_message.createdAt < pratica.richiestaDiIntegrazioneAttiva.createdAt|date('U')) %}
          <button class="btn btn-outline-primary disabled" data-toggle="tooltip" type="button"
                  title="{{ 'operatori.tooltip_accetta_richiesta_disabilitato' | trans }}">
            <svg class="icon icon-success">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check"></use>
            </svg>
            {{ 'operatori.accetta_richiesta_integrazione' | trans }}
          </button>
        {% else %}
          <button id="accept-integration" class="btn btn-outline-primary" type="button"
                  data-url="{{ path('application_api_post_transition_accept_integration', {'id': pratica}) }}">
            <svg class="icon icon-success">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check"></use>
            </svg>
            {{ 'operatori.accetta_richiesta_integrazione' | trans }}
          </button>
        {% endif %}
      </div>
    {% elseif pratica.status == constant('STATUS_PENDING', pratica) and pratica.esito == null %}
      {{ include('Operatori/parts/change_status_modal.html.twig') }}
      <div class="col d-flex justify-content-around">
        <button class="btn btn-outline-secondary" id="modal_refuse" data-toggle="modal" type="button"
                data-target=".bd-example-modal-lg">
          <svg class="icon icon-danger">
            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close"></use>
          </svg>{{ 'operatori.rigetta' | trans }}
        </button>

        {% if pratica.servizio.allowIntegrationRequest %}
          <button class="btn btn-outline-secondary" id="modal-integration" data-toggle="modal" type="button"
                  data-target="#integration-request-modal">
            <svg class="icon icon-warning">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-comment"></use>
            </svg>{{ 'operatori.richiedi_integrazioni' | trans }}
          </button>
        {% endif %}

        <button class="btn btn-primary" id="modal_approve" data-toggle="modal" type="button"
                data-target=".bd-example-modal-lg">
          <svg class="icon icon-light">
            <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-check"></use>
          </svg>{{ 'operatori.approva' | trans }}
        </button>
      </div>
    {% elseif pratica.status == constant('STATUS_PAYMENT_PENDING', pratica) or pratica.status == constant('STATUS_PAYMENT_OUTCOME_PENDING', pratica) %}
      <div class="col d-flex justify-content-around">
        {{ include('Operatori/parts/_change_status_paid.html.twig') }}
      </div>
    {% endif %}
  </div>
{% else %}
  <div class=" alert alert-info mb-4">
    <p>
      {{ 'operatori.iter_completato' | trans({
        '%statusName%': pratica.statusName | trans,
        '%data%': pratica.latestStatusChangeTimestamp | format_date( locale=app.request.locale),
        '%ore%': pratica.latestStatusChangeTimestamp | format_time(pattern='HH:mm:ss', locale=app.request.locale)})
      | raw }}
    </p>
    {% if pratica.motivazioneEsito %}
      <div class="mb-0 p-2 bg-light">{{ pratica.motivazioneEsito | raw }}</div>
    {% endif %}
    {% if pratica.allegatiOperatore|length > 0 %}
      <p class="mb-0 px-2 pb-2 bg-light">
        {% for allegato in pratica.allegatiOperatore %}
          <a class="text-decoration-none d-block"
             href="{{ path('allegati_download_operatore', {'allegato': allegato.id}) }}">
            <small><i class="fa fa-file"></i> {{ allegato.description }}</small>
          </a>
        {% endfor %}
      </p>
    {% endif %}
  </div>
{% endif %}
